Bug 1302299 (CVE-2016-2392)

Summary: CVE-2016-2392 Qemu: usb: null pointer dereference in remote NDIS control message handling
Product: [Other] Security Response Reporter: Adam Mariš <amaris>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED WONTFIX QA Contact:
Severity: low Docs Contact:
Priority: low    
Version: unspecifiedCC: abaron, ailan, alonbl, apevec, areis, ayoung, bmcclain, carnil, chrisw, cvsbot-xmlrpc, dallan, dblechte, drjones, gkotton, imammedo, jen, jjoyce, jschluet, kbasil, knoel, lhh, lpeer, markmc, mgoldboi, michal.skrivanek, mkenneth, mrezanin, mst, pbonzini, ppandit, rbryant, rkrcmar, sclewis, security-response-team, slong, srevivo, tdecacqu, virt-maint, vkuznets, ykaul
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=low,public=20160211,reported=20160127,source=researcher,cvss2=2.3/AV:A/AC:M/Au:S/C:N/I:N/A:P,cwe=CWE-476,rhel-5/kvm=notaffected,rhel-5/xen=notaffected,rhel-6/qemu-kvm=notaffected,rhel-6/qemu-kvm-rhev=notaffected,rhel-7/qemu-kvm=wontfix,rhel-7/qemu-kvm-rhev=wontfix,openstack-5-rhel6/qemu-kvm-rhev=notaffected,openstack-5-rhel7/qemu-kvm-rhev=notaffected,openstack-6/qemu-kvm-rhev=notaffected,openstack-7/qemu-kvm-rhev=notaffected,openstack-8/qemu-kvm-rhev=notaffected,fedora-all/qemu=affected,fedora-all/xen=affected
Fixed In Version: Doc Type: Bug Fix
Doc Text:
A NULL pointer dereference flaw was found in the QEMU emulator built with USB Net device emulation support. The flaw could occur while processing remote NDIS control message packets, if the USB configuration descriptor object is NULL. A privileged user inside a guest could exploit this flaw to crash the QEMU process instance (denial of service).
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-06-08 02:47:56 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 1307115, 1307116    
Bug Blocks: 1307095    

Description Adam Mariš 2016-01-27 12:41:10 UTC
Qemu emulator built with the USB Net device emulation support is vulnerable to a NULL pointer dereference issue. It could occur while processing remote NDIS control message packets, when the USB configuration descriptor object is null.

A privileged user inside guest could use this flaw to crash the Qemu process instance resulting in DoS.

Upstream patch:
---------------
  -> https://lists.gnu.org/archive/html/qemu-devel/2016-02/msg02553.html

Reference:
----------
  -> http://www.openwall.com/lists/oss-security/2016/02/16/7

Comment 2 Adam Mariš 2016-01-27 13:38:03 UTC
Acknowledgments:

Red Hat would like to thank Qinghao Tang (QIHU 360 Marvel Team) for reporting this issue.

Comment 3 Prasad J Pandit 2016-02-12 18:13:02 UTC
Statement:

This has been rated as having Low security impact and is not currently
planned to be addressed in future updates. For additional information, refer
to the Red Hat Enterprise Linux Life Cycle:
https://access.redhat.com/support/policy/updates/errata/.

Comment 4 Prasad J Pandit 2016-02-12 18:17:16 UTC
Created xen tracking bugs for this issue:

Affects: fedora-all [bug 1307116]

Comment 5 Prasad J Pandit 2016-02-12 18:17:31 UTC
Created qemu tracking bugs for this issue:

Affects: fedora-all [bug 1307115]

Comment 6 Fedora Update System 2016-03-19 21:23:35 UTC
xen-4.5.2-9.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2016-03-20 02:27:31 UTC
xen-4.5.2-9.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2016-03-23 22:23:13 UTC
qemu-2.4.1-8.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2016-03-26 18:01:01 UTC
qemu-2.5.0-10.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2016-04-08 20:24:17 UTC
qemu-2.3.1-13.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.